{% if highlight %}
  {% set thumbnail_size = 'contained-landscape' %}
{% endif %}

<a class="blog-post-card no-select {% if highlight %} blog-post-card--first {% endif %}" href="{{post.link}}">
  <div class="blog-post-card__thumbnail bg-pattern">
    {% if post.thumbnail.src %}
      <div class="blog-post-card__thumbnail__image-bg"></div>
      <div class="blog-post-card__thumbnail__image" style="background-image:url({{post.thumbnail.src|resize(thumbnail_size|default('blog-thumbnail'))}});"> </div>
    {% else %}
      <div class="blog-post-card__first-letter blog-post-card__first-letter--border">
      {{post.title|first|upper}}
      </div>
      <div class="blog-post-card__first-letter">
        {{post.title|first|upper}}
      </div>
    {% endif %}
    <div class="blog-post-card__view-more button font-small">
      Veure més
    </div>
  </div>
  <div class="blog-post-card__title font-small align-c">
    {{post.title}}
  </div>
</a>